Loading...
Searching...
No Matches
casacore::BitFlagsEngine< StoredType >::BoolToFlags Struct Reference

Functor to convert Bools to flags using a mask. More...

## Public Member Functions

| BoolToFlags (StoredType writeMask)
StoredType | operator() (Bool flag, StoredType value) const

## Private Attributes

StoredType | itsMask

## Detailed Description

template<typename StoredType>
struct casacore::BitFlagsEngine< StoredType >::BoolToFlags

Functor to convert Bools to flags using a mask.

By default only bit 0 is set. Flag bits not affected are kept.

Definition at line 344 of file BitFlagsEngine.h.

## Constructor & Destructor Documentation

## BoolToFlags()

template<typename StoredType>

casacore::BitFlagsEngine< StoredType >::BoolToFlags::BoolToFlags | ( | StoredType | writeMask | ) |

inline explicit

Definition at line 346 of file BitFlagsEngine.h.

References itsMask.

## Member Function Documentation

## operator()()

template<typename StoredType>

StoredType casacore::BitFlagsEngine< StoredType >::BoolToFlags::operator() | ( | Bool | flag,
|  | StoredType | value ) const

inline

Definition at line 347 of file BitFlagsEngine.h.

References itsMask, and casacore::NewDelAllocator< T >::value.

## Member Data Documentation

## itsMask

template<typename StoredType>

StoredType casacore::BitFlagsEngine< StoredType >::BoolToFlags::itsMask

private

Definition at line 350 of file BitFlagsEngine.h.

Referenced by BoolToFlags(), and operator()().

The documentation for this struct was generated from the following file:

- tables/DataMan/BitFlagsEngine.h